Not everyone could setup Metasploitable 3 with ease (as mentioned in Github issues: https://github.com/rapid7/metasploitable3/issues). This is because the installation cannot be resumed from where the error occurred. I would like to do the following:

  • reduce the number of issues raised on GitHub repository and also work on enhancements
  • add some more vulnerabilities to Metasploitable 3 (for both Windows and Linux versions)
  • initial script which allows the user to decide what software to be installed (optional and could be decided by user)
  • Add documentations and flowcharts which visualizes the attack vector of Metasploitable 3 (if time permits)

Organization

Student

Badshah

Mentors

  • James Barnett
close

2017